VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::CategoryTypes::CreateSpec Class Reference

The `Category.CreateSpec` class is used to create a category. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
string | GetName ()
| The display name of the category.
void | SetName (string name)
| The display name of the category.
string | GetDescription ()
| The description of the category.
void | SetDescription (string description)
| The description of the category.
vmware.cis.tagging.CategoryModel.Cardinality | GetCardinality ()
| The associated cardinality ( SINGLE, MULTIPLE) of the category.
void | SetCardinality (vmware.cis.tagging.CategoryModel.Cardinality cardinality)
| The associated cardinality ( SINGLE, MULTIPLE) of the category.
global::System.Collections.Generic.HashSet < string > | GetAssociableTypes ()
| Object types to which this category's tags can be attached.
void | SetAssociableTypes (global::System.Collections.Generic.HashSet< string > associableTypes)
| Object types to which this category's tags can be attached.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Category.CreateSpec` class is used to create a category.

Use the Category.Create method to create a category defined by the create specification.

## Constructor & Destructor Documentation

vmware::cis::tagging::CategoryTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::CategoryTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::CategoryTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::CategoryTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::CategoryTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::CategoryTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::CategoryTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::cis::tagging::CategoryTypes::CreateSpec::GetAssociableTypes | ( |  | ) | `[inline]`

Object types to which this category's tags can be attached.

vmware.cis.tagging.CategoryModel.Cardinality vmware::cis::tagging::CategoryTypes::CreateSpec::GetCardinality | ( |  | ) | `[inline]`

The associated cardinality ( SINGLE, MULTIPLE) of the category.

string vmware::cis::tagging::CategoryTypes::CreateSpec::GetDescription | ( |  | ) | `[inline]`

The description of the category.

override int vmware::cis::tagging::CategoryTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::cis::tagging::CategoryTypes::CreateSpec::GetName | ( |  | ) | `[inline]`

The display name of the category.

void vmware::cis::tagging::CategoryTypes::CreateSpec::SetAssociableTypes | ( | global::System.Collections.Generic.HashSet< string > | associableTypes | ) | `[inline]`

Object types to which this category's tags can be attached.

void vmware::cis::tagging::CategoryTypes::CreateSpec::SetCardinality | ( | vmware.cis.tagging.CategoryModel.Cardinality | cardinality | ) | `[inline]`

The associated cardinality ( SINGLE, MULTIPLE) of the category.

void vmware::cis::tagging::CategoryTypes::CreateSpec::SetDescription | ( | string | description | ) | `[inline]`

The description of the category.

void vmware::cis::tagging::CategoryTypes::CreateSpec::SetName | ( | string | name | ) | `[inline]`

The display name of the category.

override string vmware::cis::tagging::CategoryTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CategoryTypes.cs